> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialme.at/llms.txt
> Use this file to discover all available pages before exploring further.

# List Phone Number Options



## OpenAPI

````yaml GET /numbers/get-list
openapi: 3.0.0
info:
  title: alto.dialme.at API
  description: API for building voice assistants
  version: '1.0'
  contact: {}
servers:
  - url: https://alto.dialme.at/api/altov2/public
security: []
tags: []
paths:
  /numbers/get-list:
    get:
      tags:
        - number_get_all
      operationId: number_get_all
      parameters:
        - name: areaCode
          required: false
          in: query
          description: Filter by area code
          schema:
            minimum: 0
            maximum: 1000
            type: number
        - name: contains
          required: false
          in: query
          description: Filter by particular number
          schema:
            minimum: 0
            maximum: 1000
            type: number
        - name: limit
          required: false
          in: query
          description: Total result
          schema:
            minimum: 0
            maximum: 1000
            type: number
        - name: skip
          required: false
          in: query
          description: Page index
          schema:
            minimum: 0
            maximum: 1000
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: success
                  result:
                    type: array
                    items:
                      type: object
                      properties:
                        phone_number:
                          type: string
                        friendlyName:
                          type: string
                        capabilities:
                          type: object
                          properties:
                            voice:
                              type: boolean
                            SMS:
                              type: boolean
                            MMS:
                              type: boolean
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthorized
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not Found
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Method Not Allowed
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your key from
        [Dashboard](https://alto.dialme.at/settings/apis).

````